Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » Программы » Pale Moon (часть 1)

Модерирует : gyra, Maz

Maz (17-03-2018 22:15): Pale Moon (часть 2)  Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199

   

frglik23



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору


Браузер оптимизирован для современных процессоров (оптимизирована компиляция программного кода для CPU).
Pale Moon поддерживает все процессоры (CPU) начиная от седьмого поколения поддерживающих SSE2 и 3, т.е Pentium IV, Pentium-M/Celeron-M, Pentium-D/Celeron-D,AMD Opteron/Athlon64 и все современные многоядерные процессоры.
 
По данным разработчиков скорость браузера Pale Moon на 22%-25% выше Firefox, но к сожалению нет регламентированных тестов по которым можно было бы точно определить скорость.
 

(Начиная с версии 27 поддержка Windows XP x86/x64, Server 2003 и любых retail NT 5.x прекращена)
Однако, существуют пользовательские сборки под XP на основе исходников, смотрите ниже.

    Преимущества:
  • Поддержка расширений и тем Firefox
  • Оптимизированный 100% исходный код Firefox
  • Увеличение скорости выполнения скриптов и отображения страниц по сравнению с Firefox
  • Использование меньше памяти по сравнению с Firefox.
  • Расширенная поддержка DOM
  • В портативной сборке в отличие от Firefox можно одновременно запускать несколько копий программы (из разных папок).

Утилита миграции с FF на PM (Pale Moon profile migration tool): скачать
 
Ссылки:
Версия 27.x
Pale Moon 27.8.1 Eng (x86) | (x64)
Pale Moon 27.8.1 Portable Eng (x86) | (x64)

Версии для MacOS

Windows 98 | Windows XP | Пакеты локализации / Инструкция по их установке
 
Пользовательские сборки Рalemoon
Как сделать обычный Pale Moon портативным | альтернативный способ (проще)
Pale Moon commander 2.0... и перевод (папку из зипа положить в extensions)
Утилита  MozArchiver для сохранения в mht взамен неработающей на 26+ UnMHT
Disable Add-on Compatibility Checks - утилита, отменяющая проверку совместимости и позволяющая ставить запрещенные расширения на Pale Moon
Исправление невозможности запуска нескольких копий портативной версии программы (в том числе и при открытии локальных файлов)
Перечень расширений, проблемных, находящихся в работе и излечиваемых в т. ч. и Moon tester tool
MozBackup It allows you to backup and restore bookmarks, mail, contacts, history, extensions, passwords, cache etc.
Pale Moon Status Bar" можно убрать, удалив "Palemoon\extensions\statusbar@palemoon.org.xpi"

Всего записей: 1739 | Зарегистр. 24-04-2002 | Отправлено: 18:55 30-03-2011 | Исправлено: zzz528, 17:30 12-03-2018
pangasiys



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
kvarz1t
используй расширение User Agent Switcher

 

Всего записей: 2400 | Зарегистр. 05-06-2012 | Отправлено: 17:52 02-04-2017
kvarz1t



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
pangasiys
морально устаревшие дополнения, не нашёл не оного свежего
пробовал прописывать -  
Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36  
может что-то не правильно, т.к. не срабатывает. но скорей всего начинка РМ не актуальная, устаревшая.
но за помощь спасибо. буду думать дальше....

Всего записей: 177 | Зарегистр. 10-08-2011 | Отправлено: 15:11 03-04-2017
pangasiys



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
kvarz1t
почему устаревшее-то ? при установленном например на хром у меня везде определяется как хром
 
Добавлено:

Всего записей: 2400 | Зарегистр. 05-06-2012 | Отправлено: 15:39 03-04-2017
Aleks78



Platinum Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
С юзером получается
 

Цитата:
Ошибка при установлении защищённого соединения


----------
Кешбек на Али до 15%
Digma — лауреат премии pc magazine.

Всего записей: 19197 | Зарегистр. 18-12-2004 | Отправлено: 15:52 03-04-2017
franzisk77

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
    Редактировать | Профиль | Сообщение | Цитировать | Сообщить модераторуРешил попробовать 26.5.0 XP
По ходу вопросы:  
как обновить shockwave флеш с 11 на повыше?
В поиск можно ли добавить google?

 
Уточню вопрос. Можно ли добавить флеш независимо от системы, как на Хамелеоне.
Т.е. в системе напр.11, а в браузере 25?

Всего записей: 94 | Зарегистр. 12-10-2015 | Отправлено: 21:40 03-04-2017
kvarz1t



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
franzisk77
попробуй это (32bit) или это (64bit).
 
Добавлено:
pangasiys
пытаюсь вот это запустить)
но никакой юзер агент не помогает. печаль.

Всего записей: 177 | Зарегистр. 10-08-2011 | Отправлено: 22:25 03-04-2017 | Исправлено: kvarz1t, 22:30 03-04-2017
digvijaya



BANNED
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
franzisk77

Цитата:
Уточню вопрос. Можно ли добавить флеш независимо от системы, как на Хамелеоне.  

А какая установка? В смысле - обычная, или портабл, или методом 3-х файлов и т. п.? Для обычной, в общем случае, нужно положить файлы флеша в папка_палемун\browser\plugins\, либо в папка_палемун\plugins\, либо в папка_профиля\plugins\. У меня портабл методом 3-файлов, флеш работает из \browser\plugins\, но там это запилено через tmemutil.ini, как в случае обычного палемун, хз.
Нелишним будет отключить подхват системного флеша (опять же, не знаю, как это сработает для обычной установки, для официального портабла или через tmemutil, нормально работает):
Код:
user_pref("plugin.scan.plid.all", false);


Всего записей: 310 | Зарегистр. 26-08-2016 | Отправлено: 22:37 03-04-2017
pangasiys



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
kvarz1t

Цитата:
пытаюсь вот это запустить
а оно и на QQ Browser(Chromium 53) не запускается - что это такое хоть ?
 
Добавлено:
запустилось на Cent Browser :

 
Добавлено:
ты kvarz1t прав ! он устарел - в User Agent Switcher самый новый хром 55, а твой сайт требует чтоб было не ниже 57-го ))))

Всего записей: 2400 | Зарегистр. 05-06-2012 | Отправлено: 23:16 03-04-2017
Denolly

Newbie
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Подробнее...

Всего записей: 18 | Зарегистр. 29-03-2017 | Отправлено: 08:02 04-04-2017 | Исправлено: Denolly, 08:12 04-04-2017
kvarz1t



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
что это такое хоть ?  

конструктор для разработки игр. это ещё бетка...

Всего записей: 177 | Зарегистр. 10-08-2011 | Отправлено: 08:48 04-04-2017
sergrit

Newbie
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
морально устаревшие дополнения, не нашёл не оного свежего
пробовал прописывать -  
Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36  
может что-то не правильно, т.к. не срабатывает. но скорей всего начинка РМ не актуальная, устаревшая.
но за помощь спасибо. буду думать дальше....

 
Нужно создать (если его нет) в about:config параметр general.useragent.override и прописать ваш useragent. У меня прописано Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0. Браузер опознаётся как Firefox 52 на Windows 10.  

Всего записей: 4 | Зарегистр. 04-04-2017 | Отправлено: 17:43 04-04-2017
Tolyasho



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
но никакой юзер агент не помогает. печаль.

Из того, что этот сайт требует для работы, едва ли поможет будь какой юзер агент. Например, особые спецификации ecma script 6. Луна едва ли одну треть из их общего числа сейчас поддерживает. С каждой новой мажорной версией автор пытается вносить поддержку новых, но процесс этот, очевидно в виду малого числа разработчиков, слишком медлителен. Как показывают примеры выше, необходимые спецфикации отсутствуют даже в ряде относительно недавних хромобразных.

Всего записей: 381 | Зарегистр. 23-03-2014 | Отправлено: 18:16 04-04-2017
anms

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528

Цитата:
Palemoon_Portable_mod_ru 27.2.1  

Внезапно не хочет аппаратно ускорять с NVIDIA GeForce 6600 LE, в отличие от 26.5.0.

Всего записей: 63 | Зарегистр. 26-04-2013 | Отправлено: 22:11 04-04-2017
zzz528

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
anms
А как другие 27? Из нвидий я могу пока проверить на 9600
 
Попробовал 27.3, прогресс идёт, уже яндекс видео безкостылей работает

Всего записей: 911 | Зарегистр. 20-06-2005 | Отправлено: 01:57 05-04-2017 | Исправлено: zzz528, 03:59 05-04-2017
anms

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
А как другие 27?

27.2.0.6247 (BuildID 20170207190722) тоже. 27B3 не помню, почему забраковал.
Укажите, на чём проверить.
 

Цитата:
Из нвидий я могу пока проверить на 9600  

Да как бы не с любым старьём так...
 

Цитата:
Попробовал 27.3, прогресс идёт

Смотрю Аппаратно ускоренные окна в about:support, и 26.5.0 ускоряет все с соответствующими настройками по умолчанию, а пару упомянутых 27 насильно не заставишь. Я не прав?

Всего записей: 63 | Зарегистр. 26-04-2013 | Отправлено: 09:07 05-04-2017 | Исправлено: anms, 09:16 05-04-2017
zzz528

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Ха у меня везде и в 26 тоже
Цитата:
Заблокирован для вашей видеокарты из-за нерешённых проблем с драйвером.
?? Получается я так всю жизнь, и нормально вроде броузер работает.

Всего записей: 911 | Зарегистр. 20-06-2005 | Отправлено: 16:31 06-04-2017
DmitryFedorov

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Выкладываю перевод TabMixPlus - расширение для управления поведением вкладок.  
Неплохой получился перевод. Теперь можно пользоваться. Спасибо oleg953 что познакомил меня с этой штучкой.
-------------
В xpi не стал засовывать. Желающие установить - просто бросьте папку из Зипа и при повторном запуске увидите предложение на установку.  
 
(забыл сказать: "бросьте папку из Зипа" означает бросьте её в папку extensions в вашем профиле.  
Папка профиля это обычно папка бла-бла.default. Если не хотите искать - введите в адресную строку about:support найдите Папка профиля и нажмите Показать папку)

Всего записей: 1606 | Зарегистр. 19-03-2006 | Отправлено: 17:04 06-04-2017 | Исправлено: DmitryFedorov, 14:19 07-04-2017
anms

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528

Цитата:
и нормально вроде броузер работает

Сомневаюсь. По крайней мере 27.2 даже запуститься до конца не может с тем же количеством вкладок, с которым 26.5 нормально работает. Занимается чем-то безрезультатно с виртуальным размером ~2GB. Я уж засомневался в использовании /LARGEADDRESSAWARE.
 

Цитата:
Заблокирован для вашей видеокарты из-за нерешённых проблем с драйвером.  

Я-то для своего старья нашёл допустимый диапазон версий драйвера, поскольку насильное включение аппаратного ускорения для остальных версий вызывало глюки, со временем сподвигшие на путь праведный)
 
https://forum.mozilla-russia.org/viewtopic.php?pid=670993#p670993
Включение WebGL, D3D и Direct2D с игнорированием чёрных списков:
   webgl.force-enabled (Логическое) = TRUE        <с GeForce6600LE Визуализатор WebGL в about:support и так включен без доп.принуждения на PM26.5,27>
   layers.acceleration.force-enabled (Логическое) = TRUE
   gfx.direct2d.force-enabled (Логическое) = TRUE
   прим. Это позволит использовать данные возможности на старых или глючных версий драйверов на видеокарты или сами видеокарты.
 
Включение рендеринга с использованием аппаратного ускорения
   gfx.font_rendering.directwrite.enabled (Логическое) = TRUE <cрабатывает на PM26,27 после перезапуска>
 [нет таких:
 mozilla.widget.render-mode (Целое) = 6
  Для включения ускорения с использованием DirectX9/OpenGL:
   layers.accelerate-all (Логическое) = TRUE]
  Для включения ускорения с использованием DirectX10 <Эм, зачем бы это для XP?>:
   layers.prefer-d3d9 (Логическое) = TRUE
 
https://vk.com/topic-131292_28544589?post=6773
Полное аппаратное ускорение 2D/3D
<пункты 1-3 предыдущей ссылки>
gfx.work-around-driver-bugs -false
layers.prefer-opengl - true (если старая видеокарта Intel/VIA)
layers.prefer-d3d9 - true (если мощная видеокарта NVIDIA/ATI или новая Intel)
layers.async-video.enabled - true
layers.force-active- true
gfx.font_rendering.directwrite.enabled - true
 
Так или иначе, 27.2 не получается заставить аппаратно ускорять окна, а (ваша сборка) 26.5 ускоряет по умолчанию.
Кстати, windowLayerManagerRemote - исходно true в about:support у 27, в отличие от 26.5.

Всего записей: 63 | Зарегистр. 26-04-2013 | Отправлено: 09:41 08-04-2017 | Исправлено: anms, 09:50 08-04-2017
zzz528

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
27.2 даже запуститься до конца не может с тем же количеством вкладок

У меня обычно бывает 30-40 в самом разгаре 80, тянет без ускорения апаратного, а при закрытии зависает. А памяти всего 2гб, больше имхо нет смысла, игрушки мощные не включаю.
 
И таки да 26 может быть лучше работает на старых компах (вообще 26 лучше, но поддержки сайтов нет - старый движок яваскрипта, как и опера престо, а пробовал кстати?)
 
Даже идея появилась  всунуть в 27 ускорение от 26.

Всего записей: 911 | Зарегистр. 20-06-2005 | Отправлено: 01:54 10-04-2017
digvijaya



BANNED
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528

Цитата:
И таки да 26 может быть лучше работает на старых компах (вообще 26 лучше, но поддержки сайтов нет - старый движок яваскрипта, как и опера престо, а пробовал кстати?)  

Однозначно лучше, на старых компах 27-я тяжеловата, что в XP, что в линупсе. Поддержка сайтов тоже дело относительное, PM 26.5 пока что устраивает в этом плане, а вот в FF 24 - 28, которые ещё шустрей и легче на старье, с поддержкой сайтов гораздо хуже, уже часто напрягает.

Всего записей: 310 | Зарегистр. 26-08-2016 | Отправлено: 04:38 10-04-2017
   

Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199

Компьютерный форум Ru.Board » Компьютеры » Программы » Pale Moon (часть 1)
Maz (17-03-2018 22:15): Pale Moon (часть 2)


Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2018

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru